%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-negotiation
Version:          2.2.7
Release:          1%{namedreltag}%{?dist}
Summary:          JBoss Negotiation
License:          LGPLv2+
URL:              http://www.jboss.org/picketlink/Negotiation
Source0:          https://github.com/wildfly-security/jboss-negotiation/archive/security-negotiation-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-ear-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-ejb-plugin
BuildRequires:    maven-war-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    picketbox
BuildRequires:    picketbox-commons
BuildRequires:    jboss-logging
BuildRequires:    jboss-web
BuildRequires:    jboss-servlet-3.0-api

%description
Negotiation project provides SPNEGO/Kerberos support in JBoss

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-negotiation-security-negotiation-%{namedversion}

%pom_disable_module jboss-negotiation-toolkit

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Jun 13 2014 Marek Goldmann <mgoldman@redhat.com> - 2.2.7-1.Final
- Upstream release 2.2.7.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-12.SP1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.0-11.SP1
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-10.SP1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9.SP1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.2.0-8.SP1
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-7.SP1
- Fixed BR, finally

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-6.SP1
- Fixed BR

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.0-5.SP1
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4.SP1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 02 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.0-3.SP1
- Fixed jar filenames naming

* Wed Mar 28 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.0-2.SP1
- Fixed BR

* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.0-1.SP1
- Initial packaging

